%define	major	2
%define	libname	%mklibname %name %major
%define	oldlibname %mklibname %name 1
%define	develname %mklibname %name -d

Name:		clthreads
Summary:	C++ libraries
Version:	2.4.2
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries 
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		clthreads-makefile.patch
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html

%description
Clthreads C++ libraries

#--------------------------------------------------------------------
%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Obsoletes:	%{oldlibname} < 2.4.0

%description -n	%{libname}
The libraries from %{name} package

%files -n %{libname}
%{_libdir}/libclthreads.so.%{major}{,.*}

#--------------------------------------------------------------------
%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{oldlibname}-devel < 2.4.0
Obsoletes:	%{libname}-devel < 2.4.0

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/clthreads.h
%{_libdir}/libclthreads.so

#--------------------------------------------------------------------
%prep
%autosetup -p1

%build
cd source
%make_build LDFLAGS="%{ldflags}" CPPFLAGS="%{optflags} -fPIC" PREFIX=%{_prefix} LIBDIR=%{_lib}

%install
cd source
mkdir -p %{buildroot}%{_includedir}
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} 


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 2.4.2-3.mga9
+ Revision: 1791020
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.4.2-2.mga8
+ Revision: 1489133
- Mageia 8 Mass Rebuild

* Tue Sep 11 2018 barjac <barjac> 2.4.2-1.mga7
+ Revision: 1258266
- new version 2.4.2
- re-diff Makefile patch and drop linkage patch not required
- update spec macros

* Sun Jan 31 2016 umeabot <umeabot> 2.4.0-8.mga6
+ Revision: 929517
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-7.mga5
+ Revision: 745945
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.0-6.mga5
+ Revision: 693625
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-5.mga5
+ Revision: 678435
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-4.mga4
+ Revision: 523200
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 rtp <rtp> 2.4.0-3.mga3
+ Revision: 406734
- Allow to override libdir to avoid broken sed rule on uname -m to find out
  lib64 vs lib
- Fix the makefile to allow to use DESTDIR.

* Fri Jan 11 2013 umeabot <umeabot> 2.4.0-2.mga3
+ Revision: 347914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 2.4.0-1.mga3
+ Revision: 321892
- spec clean
- Imported package from Mandriva


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.0-2mdv2011.0
+ Revision: 617048
- the mass rebuild of 2010.0 packages

* Mon Sep 07 2009 Funda Wang <fwang@mandriva.org> 2.4.0-1mdv2010.0
+ Revision: 432737
- New version 2.4.0

* Fri Jun 12 2009 Jérôme Brenier <incubusss@mandriva.org> 2.2.1-6mdv2010.0
+ Revision: 385598
- rebuild

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.2.1-5mdv2009.0
+ Revision: 276014
- apply devel policy
- fix license

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.2.1-4mdv2009.0
+ Revision: 243531
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix major

* Sun Dec 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2.1-1mdv2008.1
+ Revision: 116569
- import clthreads


